/*
 * Java
 *
 * Copyright 2016 IS2T. All rights reserved.
 * IS2T PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package ej.lang;

/**
 * A default implementation of watchdog that does nothing when it is triggered.
 */
public class DefaultWatchdog extends Watchdog<Object> {

	/**
	 * Creates a new default watchdog, that does nothing when triggered.
	 */
	public DefaultWatchdog() {
		super();
	}

	/**
	 * Creates a new default watchdog, that does nothing when triggered.
	 *
	 * @param delay
	 *            not used.
	 * @param context
	 *            not used.
	 */
	public DefaultWatchdog(long delay, Object context) {
		super(delay, context);
	}

	/**
	 * Does nothing.
	 */
	@Override
	public void trigger() {
		// nothing to do
	}

}
